"""Added template selection per store, cleanup fields

Revision ID: 65986008ad26
Revises: 5f88cc45615c
Create Date: 2020-07-11 21:47:10.679105

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "65986008ad26"
down_revision = "5f88cc45615c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("stores", sa.Column("templates", sa.JSON(), nullable=True))
    op.drop_index("stores_domain_idx", table_name="stores")
    op.drop_column("stores", "domain")
    op.drop_column("stores", "template")
    op.add_column("products", sa.Column("templates", sa.JSON(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "stores",
        sa.Column("template", sa.VARCHAR(length=1000), autoincrement=False, nullable=True),
    )
    op.add_column(
        "stores",
        sa.Column("domain", sa.VARCHAR(length=1000), autoincrement=False, nullable=True),
    )
    op.create_index("stores_domain_idx", "stores", ["domain"], unique=False)
    op.drop_column("stores", "templates")
    op.drop_column("products", "templates")
    # ### end Alembic commands ###
